| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::HarmonicData Class Reference

Harmonic model data. More...

List of all members.

## Public Member Functions
| HarmonicData ()
| Empty constructor.
| HarmonicData (vector< long > &harmonicTypPitch, vector< long > &harmonicTypRoll, vector< long > &harmonicTypYaw, vector< double > &harmonicCoefPitch, vector< double > &harmonicCoefRoll, vector< double > &harmonicCoefYaw)
| Constructor with parameters.
## Public Attributes
vector< long > | harmonicTypePitch
| Harmonic type pitch.
vector< long > | harmonicTypeRoll
| Harmonic type roll.
vector< long > | harmonicTypeYaw
| Harmonic type yaw.
vector< double > | harmonicCoeffPitch
| Harmonic coefficient pitch.
vector< double > | harmonicCoeffRoll
| Harmonic coefficient roll.
vector< double > | harmonicCoeffYaw
| Harmonic coefficient yaw.

## Detailed Description

Harmonic model data.

## Constructor & Destructor Documentation

EECFI::HarmonicData::HarmonicData | ( |  | ) | `[inline]`

Empty constructor.

EECFI::HarmonicData::HarmonicData | ( | vector< long > & | harmonicTypPitch,
|  | vector< long > & | harmonicTypRoll,
|  | vector< long > & | harmonicTypYaw,
|  | vector< double > & | harmonicCoefPitch,
|  | vector< double > & | harmonicCoefRoll,
|  | vector< double > & | harmonicCoefYaw |
| ) |  |  | `[inline]`

Constructor with parameters.

## Member Data Documentation

vector<double> EECFI::HarmonicData::harmonicCoeffPitch

Harmonic coefficient pitch.

Referenced by EECFI::SdfFile::read(), and EECFI::AttitudeDefinitionData::read().

vector<double> EECFI::HarmonicData::harmonicCoeffRoll

Harmonic coefficient roll.

Referenced by EECFI::SdfFile::read(), and EECFI::AttitudeDefinitionData::read().

vector<double> EECFI::HarmonicData::harmonicCoeffYaw

Harmonic coefficient yaw.

Referenced by EECFI::SdfFile::read(), and EECFI::AttitudeDefinitionData::read().

vector<long> EECFI::HarmonicData::harmonicTypePitch

Harmonic type pitch.

Referenced by EECFI::SdfFile::read(), and EECFI::AttitudeDefinitionData::read().

vector<long> EECFI::HarmonicData::harmonicTypeRoll

Harmonic type roll.

Referenced by EECFI::SdfFile::read(), and EECFI::AttitudeDefinitionData::read().

vector<long> EECFI::HarmonicData::harmonicTypeYaw

Harmonic type yaw.

Referenced by EECFI::SdfFile::read(), and EECFI::AttitudeDefinitionData::read().